Loading...
Searching...
No Matches
svn_client_status_t Struct Reference
Client working copy management » Report interesting information about paths in the working copy.

Structure for holding the "status" of a working copy item. More...

`#include <svn_client.h>`

## Data Fields

svn_node_kind_t | kind
| The kind of node as recorded in the working copy.
const char * | local_abspath
| The absolute path to the node.
svn_filesize_t | filesize
| The actual size of the working file on disk, or SVN_INVALID_FILESIZE if unknown (or if the item isn't a file at all).
svn_boolean_t | versioned
| If the path is under version control, versioned is TRUE, otherwise FALSE.
svn_boolean_t | conflicted
| Set to TRUE if the node is the victim of some kind of conflict.
enum svn_wc_status_kind | node_status
| The status of the node, based on the restructuring changes and if the node has no restructuring changes the text and prop status.
enum svn_wc_status_kind | text_status
| The status of the text of the node, not including restructuring changes.
enum svn_wc_status_kind | prop_status
| The status of the node's properties.
svn_boolean_t | wc_is_locked
| A node can be 'locked' if a working copy update is in progress or was interrupted.
svn_boolean_t | copied
| A file or directory can be 'copied' if it's scheduled for addition-with-history (or part of a subtree that is scheduled as such.).
const char * | repos_root_url
| The URL of the repository root.
const char * | repos_uuid
| The UUID of the repository.
const char * | repos_relpath
| The in-repository path relative to the repository root.
svn_revnum_t | revision
| Base revision.
svn_revnum_t | changed_rev
| Last revision this was changed.
apr_time_t | changed_date
| Date of last commit.
const char * | changed_author
| Last commit author of this item.
svn_boolean_t | switched
| A file or directory can be 'switched' if the switch command has been used.
svn_boolean_t | file_external
| If the item is a file that was added to the working copy with an svn:externals; if file_external is TRUE, then switched is always FALSE.
const svn_lock_t * | lock
| The locally present lock.
const char * | changelist
| Which changelist this item is part of, or NULL if not part of any.
svn_depth_t | depth
| The depth of the node as recorded in the working copy (svn_depth_unknown for files or when no depth is recorded).
svn_node_kind_t | ood_kind
| Set to the node kind of the youngest commit, or svn_node_none if not out of date.
enum svn_wc_status_kind | repos_node_status
| The status of the node, based on the text status if the node has no restructuring changes.
enum svn_wc_status_kind | repos_text_status
| The node's text status in the repository.
enum svn_wc_status_kind | repos_prop_status
| The node's property status in the repository.
const svn_lock_t * | repos_lock
| The node's lock in the repository, if any.
svn_revnum_t | ood_changed_rev
| Set to the youngest committed revision, or SVN_INVALID_REVNUM if not out of date.
apr_time_t | ood_changed_date
| Set to the most recent commit date, or `0` if not out of date.
const char * | ood_changed_author
| Set to the user name of the youngest commit, or `NULL` if not out of date or non-existent.
const void * | backwards_compatibility_baton
| Reserved for libsvn_client's internal use; this value is only to be used for libsvn_client backwards compatibility wrappers.
const char * | moved_from_abspath
| Set to the local absolute path that this node was moved from, if this file or directory has been moved here locally and is the root of that move.
const char * | moved_to_abspath
| Set to the local absolute path that this node was moved to, if this file or directory has been moved away locally and corresponds to the root of the destination side of the move.

## Detailed Description

Structure for holding the "status" of a working copy item.

Note
  Fields may be added to the end of this structure in future versions. Therefore, to preserve binary compatibility, users should not directly allocate structures of this type.

Since
  New in 1.7.

Definition at line 2372 of file svn_client.h.

## Field Documentation

## backwards_compatibility_baton

const void* svn_client_status_t::backwards_compatibility_baton

Reserved for libsvn_client's internal use; this value is only to be used for libsvn_client backwards compatibility wrappers.

This value may be NULL or to other data in future versions.

Definition at line 2504 of file svn_client.h.

## changed_author

const char* svn_client_status_t::changed_author

Last commit author of this item.

Definition at line 2433 of file svn_client.h.

## changed_date

apr_time_t svn_client_status_t::changed_date

Date of last commit.

Definition at line 2430 of file svn_client.h.

## changed_rev

svn_revnum_t svn_client_status_t::changed_rev

Last revision this was changed.

Definition at line 2427 of file svn_client.h.

## changelist

const char* svn_client_status_t::changelist

Which changelist this item is part of, or NULL if not part of any.

Definition at line 2451 of file svn_client.h.

## conflicted

svn_boolean_t svn_client_status_t::conflicted

Set to TRUE if the node is the victim of some kind of conflict.

Definition at line 2389 of file svn_client.h.

## copied

svn_boolean_t svn_client_status_t::copied

A file or directory can be 'copied' if it's scheduled for addition-with-history (or part of a subtree that is scheduled as such.).

Definition at line 2412 of file svn_client.h.

## depth

svn_depth_t svn_client_status_t::depth

The depth of the node as recorded in the working copy (svn_depth_unknown for files or when no depth is recorded).

Definition at line 2455 of file svn_client.h.

## file_external

svn_boolean_t svn_client_status_t::file_external

If the item is a file that was added to the working copy with an svn:externals; if file_external is TRUE, then switched is always FALSE.

Definition at line 2444 of file svn_client.h.

## filesize

svn_filesize_t svn_client_status_t::filesize

The actual size of the working file on disk, or SVN_INVALID_FILESIZE if unknown (or if the item isn't a file at all).

Definition at line 2382 of file svn_client.h.

## kind

svn_node_kind_t svn_client_status_t::kind

The kind of node as recorded in the working copy.

Definition at line 2375 of file svn_client.h.

## local_abspath

const char* svn_client_status_t::local_abspath

The absolute path to the node.

Definition at line 2378 of file svn_client.h.

## lock

const svn_lock_t* svn_client_status_t::lock

The locally present lock.

(Values of path, token, owner, comment and are available if a lock is present)

Definition at line 2448 of file svn_client.h.

## moved_from_abspath

const char* svn_client_status_t::moved_from_abspath

Set to the local absolute path that this node was moved from, if this file or directory has been moved here locally and is the root of that move.

Otherwise set to NULL.

This will be NULL for moved-here nodes that are just part of a subtree that was moved along (and are not themselves a root of a different move operation).

Since
  New in 1.8.

Definition at line 2515 of file svn_client.h.

## moved_to_abspath

const char* svn_client_status_t::moved_to_abspath

Set to the local absolute path that this node was moved to, if this file or directory has been moved away locally and corresponds to the root of the destination side of the move.

Otherwise set to NULL.

Note: Saying just "root" here could be misleading. For example: svn mv A AA; svn mv AA/B BB; creates a situation where A/B is moved-to BB, but one could argue that the move source's root actually was AA/B. Note that, as far as the working copy is concerned, above case is exactly identical to: svn mv A/B BB; svn mv A AA; In both situations, moved_to_abspath would be set for nodes A (moved to AA) and A/B (moved to BB), only.

This will be NULL for moved-away nodes that were just part of a subtree that was moved along (and are not themselves a root of a different move operation).

Since
  New in 1.8.

Definition at line 2537 of file svn_client.h.

## node_status

enum svn_wc_status_kind svn_client_status_t::node_status

The status of the node, based on the restructuring changes and if the node has no restructuring changes the text and prop status.

Definition at line 2393 of file svn_client.h.

## prop_status

enum svn_wc_status_kind svn_client_status_t::prop_status

The status of the node's properties.

Valid values are: svn_wc_status_none, svn_wc_status_normal, svn_wc_status_modified and svn_wc_status_conflicted.

Definition at line 2403 of file svn_client.h.

## repos_relpath

const char* svn_client_status_t::repos_relpath

The in-repository path relative to the repository root.

Definition at line 2421 of file svn_client.h.

## repos_root_url

const char* svn_client_status_t::repos_root_url

The URL of the repository root.

Definition at line 2415 of file svn_client.h.

## repos_uuid

const char* svn_client_status_t::repos_uuid

The UUID of the repository.

Definition at line 2418 of file svn_client.h.

## revision

svn_revnum_t svn_client_status_t::revision

Base revision.

Definition at line 2424 of file svn_client.h.

## switched

svn_boolean_t svn_client_status_t::switched

A file or directory can be 'switched' if the switch command has been used.

If this is TRUE, then file_external will be FALSE.

Definition at line 2438 of file svn_client.h.

## text_status

enum svn_wc_status_kind svn_client_status_t::text_status

The status of the text of the node, not including restructuring changes.

Valid values are: svn_wc_status_none, svn_wc_status_normal, svn_wc_status_modified and svn_wc_status_conflicted.

Definition at line 2398 of file svn_client.h.

## versioned

svn_boolean_t svn_client_status_t::versioned

If the path is under version control, versioned is TRUE, otherwise FALSE.

Definition at line 2386 of file svn_client.h.

## wc_is_locked

svn_boolean_t svn_client_status_t::wc_is_locked

A node can be 'locked' if a working copy update is in progress or was interrupted.

Definition at line 2407 of file svn_client.h.

The documentation for this struct was generated from the following file:

- svn_client.h